diff --git a/CHANGELOG b/CHANGELOG
index e9aeec1..c8724f0 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -19,6 +19,7 @@
 - fix memory leak in mount and expire request processing.
 - add additional check to prevent running of cancelled tasks.
 - fix potential file handle leakage in rpc_subs.c for some failure cases.
+- fix file handle leak in included map lookup.
 
 1/9/2006 autofs-5.0.1 rc2
 -------------------------
diff --git a/lib/master.c b/lib/master.c
index b145cf0..0c3c343 100644
--- a/lib/master.c
+++ b/lib/master.c
@@ -311,7 +311,7 @@ void master_free_map_source(struct map_s
 		instance = source->instance;
 		while (instance) {
 			if (instance->lookup)
-			close_lookup(instance->lookup);
+				close_lookup(instance->lookup);
 			instance = instance->next;
 		}
 		close_lookup(source->lookup);
diff --git a/modules/lookup_file.c b/modules/lookup_file.c
index 645925d..b0d09e7 100644
--- a/modules/lookup_file.c
+++ b/modules/lookup_file.c
@@ -779,8 +779,10 @@ static int lookup_one(struct autofs_poin
 				master_free_mapent_sources(iap->entry, 0);
 				master_free_mapent(iap->entry);
 
-				if (status)
+				if (status) {
+					fclose(f);
 					return CHE_COMPLETED;
+				}
 			} else {
 				char *s_key; 
 				int eq;
